<?php
/**
 * @version		1.5.1
 * @package		Joomla
 * @subpackage	Membership Pro
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2012 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
defined( '_JEXEC' ) or die ;
error_reporting(0);
if (file_exists(JPATH_ROOT.'/components/com_osmembership/osmembership.php')) {
	require_once JPATH_ROOT.'/components/com_osmembership/helper/helper.php';
	$document = JFactory::getDocument() ;
	$user = JFactory::getUser() ;
	$db = & JFactory::getDBO();
	OSMembershipHelper::loadLanguage() ;
	$styleUrl = JURI::base(true).'/components/com_osmembership/assets/css/style.css';
	$document->addStylesheet( $styleUrl, 'text/css', null, null );
	$config = OSMembershipHelper::getConfig() ;
	$Itemid = JRequest::getInt('Itemid') ;		
	$planIds = $params->get('plan_ids', '*');
	$layout = $params->get('layout_type', 'default');
	if (!$planIds)
		$planIds = '*' ;
	if ($planIds == '*') {
		$sql = 'SELECT * FROM #__osmembership_plans WHERE published=1 ORDER BY ordering ';
	} elseif (strpos($planIds, 'cat-') !== false){
		$catId = (int) substr($planIds, 4) ;
		$sql = 'SELECT * FROM #__osmembership_plans WHERE category_id='.$catId.' AND published=1 ORDER BY ordering ';
	} else {
		$sql = 'SELECT * FROM #__osmembership_plans WHERE id IN ('.$planIds.') AND published=1 ORDER BY ordering';
	}
	$db->setQuery($sql);
	$items = $db->loadObjectList() ;
	if ($user->id) {
		for ($i = 0 , $n = count($items) ; $i < $n ; $i++) {
			$row = $items[$i] ;
			if (!$row->enable_renewal) {
				$sql = 'SELECT COUNT(*) FROM #__osmembership_subscribers WHERE (email="'.$user->email.'" OR user_id='.$user->id.') AND plan_id='.$row->id.' AND published != 0 ' ;
				$db->setQuery($sql);
				$total = (int)$db->loadResult();
				if ($total) {
					$row->disable_subscribe = 1 ;
				}
			}
		}
	}
	
	require (JModuleHelper::getLayoutPath('mod_membershipplans', $layout));
}