<?php
/**
 * @version		1.5.4
 * @package		Joomla
 * @subpackage	OS Membership
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;

/** This field was written base on the categories layout of docman extension 
 * @copyright	Copyright (C) 2003 - 2009 Johan Janssens and Mathias Verraes. All rights reserved.
 * @license	    This file can not be redistributed without the written consent of the 
 				original copyright holder. This file is not licensed under the GPL. 
 * @link     	http://www.joomladocman.org
 */
?>
<form action="<?php echo JRoute::_('index.php?option=com_osmembership&view=categories&Itemid='.$this->Itemid); ?>" method="post" name="adminForm" id="adminForm">	
	<?php		
		if (count($this->items)) {					
		?>
			<div id="dm_cats">
			    <h2 class="dm_title"><?php echo JText::_('OSM_CATEGORIES')  ;?></h2>
			    <div>
			    <?php			     	
			    	for ($i = 0 , $n = count($this->items) ; $i < $n ; $i++) {
			    		$item = $this->items[$i] ;			    					    					    		
			    		$link = JRoute::_('index.php?option=com_osmembership&view=plans&id='.$item->id.'&Itemid='.$this->Itemid);			    					    					    	
			    	?>
			    		<div class="dm_row">																											
							<h3 class="dm_title">
								<a href="<?php echo $link; ?>">									 
									<?php 
										echo $item->title;
									?>
									<small>( <?php echo $item->total_plans ;?> <?php echo $item->total_plans > 1 ? JText::_('OSM_PLANS') :  JText::_('OSM_PLAN') ; ?> )</small>																																									
								</a>
							</h3>
						    <?php
						    if($item->description) :
						        ?><div class="dm_description"><?php echo $item->description;?></div><?php
						    endif;
						    ?>
						    <div class="clr"></div>
						</div>
			    	<?php		
			    	}
			    ?>
			    </div>
		    </div>		    
		    <?php
		    	 if ($this->pagination->total > $this->pagination->limit) {
		    	 ?>
		    	 	<div class="pagination">
		    	 		<?php echo $this->pagination->getListFooter(); ?>
		    	 	</div>
		    	 <?php	
		    	 }
		    ?>
		    
		<?php	
		}
	?>	
</form>