<?php
/**
 * @version		1.5.2
 * @package		Joomla
 * @subpackage	OS Membership
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2010 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
// no direct access
defined( '_JEXEC' ) or die ;

/**
 * HTML View class for Os Membership component
 *
 * @static
 * @package		Joomla
 * @subpackage	Os Membership
 * @since 1.5
 */
class OSMembershipViewCategories extends JViewLegacy
{
	function display($tpl = null)
	{		
	    					
		$items = $this->get('Data');	
		$pagination = $this->get('Pagination');
		$Itemid = JRequest::getInt('Itemid', 0) ;										
		$config = OSMembershipHelper::getConfig();				
		$this->assignRef('config', $config) ;		
		$this->assignRef('items', $items) ;											
		$this->assignRef('pagination',	$pagination);
		$this->assignRef('Itemid', $Itemid) ;		
		parent::display($tpl);				
	}
}