<?php
/**
 * @version		1.5.4
 * @package		Joomla
 * @subpackage	OS Membership
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */
 defined('_JEXEC') or die ; 
 
JHtml::_('behavior.modal');
$item = $this->item ;
if ($item->thumb)
	$imgSrc = JURI::base().'media/com_osmembership/'.$item->thumb ;
if ($this->config->use_https)
	$signUpUrl = JRoute::_('index.php?option=com_osmembership&view=register&id='.$item->id.'&Itemid='.$this->Itemid, false, true);
else
	$signUpUrl = JRoute::_('index.php?option=com_osmembership&view=register&id='.$item->id.'&Itemid='.$this->Itemid);
?>
<div id="dm_docs">
	<div class="dm_row">
		<div class="dm_cat">
			<?php
				if ($item->thumb) {
				?>
					<img src="<?php echo $imgSrc; ?>" alt="<?php echo $item->title; ?>" class="dm_thumb-left" />
				<?php	
				}
			?>				
				<h1 class="dm_title">																											
					<?php echo $item->title; ?>			
				</h1>		
				<dl class="dm_props">
					<?php 
						if ($item->recurring_subscription && $item->trial_duration) {
						?>
							<div class="dm_prop">
								<dt>
									<?php echo JText::_('OSM_TRIAL_DURATION'); ?>:
								</dt>
								<dd>
									<?php	
										switch ($item->trial_duration_unit) {
											case 'D' :
												echo $item->trial_duration.' '.JText::_('OSM_DAYS');
												break;
											case 'W' :
												echo $item->trial_duration.' '.JText::_('OSM_WEEKS');
												break;
											case 'M' :
												echo $item->trial_duration.' '.JText::_('OSM_MONTHS');
												break;
											case 'Y' :
												echo $item->trial_duration.' '.JText::_('OSM_YEARS');
												break;
											default :
												echo $item->trial_duration.' '.JText::_('OSM_DAYS');
												break;
										}	
									?>										
								</dd>
							</div>								
							<div class="dm_prop">
								<dt>
									<?php echo JText::_('OSM_TRIAL_PRICE'); ?>:
								</dt>
								<dd>
									<?php 
										if ($item->trial_amount > 0) {
											echo OSMembershipHelper::formatCurrency($item->trial_amount, $this->config);	
										} else {
											echo JText::_('OSM_FREE');
										}	
									?>
								</dd>
							</div>																		
						<?php	
						}					
					?>
					<div class="dm_prop">
						<dt>
							<?php echo JText::_('OSM_DURATION'); ?>:
						</dt>
						<dd>
							<?php echo $item->subscription_length.' '.JText::_('OSM_DAYS') ; ?>						
						</dd>
					</div>
					<div class="dm_prop">
						<dt>
							<?php echo JText::_('OSM_PRICE'); ?>:
						</dt>
						<dd>
							<?php 
								if ($item->price > 0) {
									echo OSMembershipHelper::formatCurrency($item->price, $this->config);
								} else {
									echo JText::_('OSM_FREE');
								}
							?>										
						</dd>
					</div>
				</dl>		
				<div class="dm_description">
					<?php echo $item->description ; ?>	
				</div>
			</div>	
			<div class="clr"></div>						
			<div class="dm_taskbar">
			    <ul>							    
					<li>
						<a href="javascript:window.history.go(-1)"><?php echo JText::_('OSM_BACK'); ?></a>			
					</li>
					<?php 
						if (!isset($item->disable_subscribe)) {
						?>
							<li>
								<a href="<?php echo $signUpUrl; ?>"><?php echo JText::_('OSM_SIGNUP'); ?></a>			
							</li>
						<?php	
						}
					?>															    	
			    </ul>
			    <div class="clr"></div>
			</div>																																	
	</div>
</div>		