<?php
/**
 * @version		1.5.4
 * @package		Joomla
 * @subpackage	OS Membership
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

/**
 * HTML View class for OS Membership component
 *
 * @static
 * @package		Joomla
 * @subpackage	OS Membership
 * @since 1.5
 */
class OSMembershipViewPlan extends JViewLegacy
{

	function display($tpl = null)
	{
		$config = OSMembershipHelper::getConfig();
		$db = JFactory::getDBO();
		$Itemid = JRequest::getInt('Itemid', 0);
		$item = $this->get('Data');
		if (!in_array($item->access, JFactory::getUser()->getAuthorisedViewLevels()))
		{
			JFactory::getApplication()->redirect('index.php', JText::_('OSM_NOT_ALLOWED_PLAN'));	
		}					
		$this->item = $item;
		$this->Itemid = $Itemid;
		$this->config = $config;
		
		parent::display($tpl);
	}
}